Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.localization.manager
Interface ILocalizationManager

All Known Subinterfaces:
  LocalizationManager

    public interface ILocalizationManager

This is the primary interface for performing persistent store operations on localizations.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`LocalizationResource` | `addLocalizationResource(LocalizationResource localizationResource, LocalizationIntersectionId localizationIntersectionId)` Add a new localization resource to the definition.
`LocalizationLocale` | `createLocalizationLocale(LocalizationLocale localizationLocale)` Create the portal version of a locale.
`LocalizationResource` | `createLocalizationResource(LocalizationResource localizationResource)` Create a new localization resource from the supplied resource.
`void` | `deleteLocalizationLocale(LocalizationLocaleId localizationLocaleId)` Delete a LocalizationLocale record and all LocalizationResources associated to this locale.
`void` | `deleteLocalizationResource(LocalizationLocaleId localizationLocaleId, LocalizationIntersectionId localizationIntersectionId)` Delete a single localization definition record (the table affected is L10N_RESOURCE).
`Locale[]` | `getCachedMatchingSupportedLocales(Locale[] locales)` Used to get a cached version minimal set of locales based on the input array of locales that matches the supported locales.
`LocalizationLocale` | `getLocalizationLocale(Locale locale)` Get the portal version of a locale.
`LocalizationLocale` | `getLocalizationLocale(LocalizationLocaleId localizationLocaleId)` Get the portal version of a locale.
`LocalizationLocale[]` | `getLocalizationLocales()` Return an array of all the available locales in the system.
`LocalizationResource` | `getLocalizationResource(CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId)` Retrieve a single localization resource given the specified localization intersection id and the customization context.
`LocalizationResource` | `getLocalizationResource(CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId, String webappName)` Retrieve a single localization resource given the specified localization intersection id and the customization context.
`LocalizationResource[]` | `getLocalizationResources()` Retrurn a list of all the localization resources in the system
`LocalizationResource[]` | `getLocalizationResources(LocalizationIntersectionId localizationIntersectionId)` Retrieve an array of LocalizationResourceView definitions for the specified abstract `LocalizationIntersectionId`.
`LocalizationResourceView` | `getLocalizationResourceView(CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId)` Retrieve a LocalizationResourceView for the supplied `LocalizationIntersectionId`.
`Locale[]` | `getMatchingSupportedLocales(Locale[] locales)` Used to get a minimal set of Locales based on the input array of Locales that matches supported Locales.
`void` | `prepopulateCaches()` This method loads all localization data in the database into p13n caches, subject to cache size.
`void` | `updateLocalizationLocale(LocalizationLocale localizationLocale)` Update a locale.
`void` | `updateLocalizationResource(LocalizationResource localizationResource)` Update the localization definition with the new data.

Method Detail

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView(CustomizationContext customizationContext,
                                                         LocalizationIntersectionId localizationIntersectionId)
                                                         throws RemoteException

  Retrieve a LocalizationResourceView for the supplied `LocalizationIntersectionId`.

  Parameters
    `customizationContext` - contains an ordered list of preferred locales.
    `localizationIntersectionId` - the intersection Id for a portal object. You can obtain this from the LocalizationResource attached to the Definition object.
  Returns
    an immutabel LocalizationResourceView object localized to the supplied locale. If the preferred locale does not exist we will default to the default, if no localization exist we will return null.
  Throws
    `RemoteException`

### getLocalizationResources

    LocalizationResource[] getLocalizationResources(LocalizationIntersectionId localizationIntersectionId)
                                                    throws RemoteException

  Retrieve an array of LocalizationResourceView definitions for the specified abstract `LocalizationIntersectionId`.

  Parameters
    `localizationIntersectionId` - the intersection Id for a portal object. You can obtain this from the LocalizationResource attached to the Definition object.
  Returns
    an Array of all the different localization definitions (one for each different locale) set for the specified definition id.
  Throws
    `RemoteException`

### getLocalizationResources

    LocalizationResource[] getLocalizationResources()
                                                    throws RemoteException

  Retrurn a list of all the localization resources in the system

  Throws
    `RemoteException`

### getLocalizationResource

    LocalizationResource getLocalizationResource(CustomizationContext customizationContext,
                                                 LocalizationIntersectionId localizationIntersectionId)
                                                 throws RemoteException

  Retrieve a single localization resource given the specified localization intersection id and the customization context.

  Parameters
    `customizationContext` - contains the preferred locale.
    `localizationIntersectionId` - the intersection Id for a portal object. You can obtain this from the LocalizationResource attached to the Definition object.
  Returns
    a fully populated LocalizationResource object.
  Throws
    `RemoteException`

### getLocalizationResource

    LocalizationResource getLocalizationResource(CustomizationContext customizationContext,
                                                 LocalizationIntersectionId localizationIntersectionId,
                                                 String webappName)
                                                 throws RemoteException

  Retrieve a single localization resource given the specified localization intersection id and the customization context. The parameter webappName is used to retrieve a default locale (set in netuix-config.xml) that will be used if none of the locales in the customization context match the languages of the localization resources in the database.

  Parameters
    `customizationContext` - contains the preferred locale.
    `localizationIntersectionId` - the intersection Id for a portal object. You can obtain this from the LocalizationResource attached to the Definition object.
    `webappName` - for choosing the default locale
  Returns
    a fully populated LocalizationResource object.
  Throws
    `RemoteException`

### createLocalizationResource

    LocalizationResource createLocalizationResource(LocalizationResource localizationResource)
                                                    throws RemoteException,
                                                           ObjectNotFoundException,
                                                           MissingDataException

  Create a new localization resource from the supplied resource.

  Parameters
    `localizationResource` - the object containing all the new data for the new localization.
  Returns
    a fully populated (with LocalizationIntersectionId and LocalizationLocaleId) LocalizationResource.
  Throws
    `ObjectNotFoundException` - if the localizationIntersectionId is bogus.
    `MissingDataException` - if the supplied localizationResource is missing required fields.
    `RemoteException`

### addLocalizationResource

    LocalizationResource addLocalizationResource(LocalizationResource localizationResource,
                                                 LocalizationIntersectionId localizationIntersectionId)
                                                 throws RemoteException,
                                                        ObjectNotFoundException,
                                                        MissingDataException

  Add a new localization resource to the definition.

  Parameters
    `localizationResource` - the object containing all the new data for the new localization.
    `localizationIntersectionId` - intersection id from the Definition object.
  Returns
    a fully populated (with LocalizationIntersectionId and LocalizationLocaleId) LocalizationResource.
  Throws
    `ObjectNotFoundException` - if the localizationIntersectionId is bogus.
    `MissingDataException` - if the supplied localizationResource is missing required fields.
    `RemoteException`

### updateLocalizationResource

    void updateLocalizationResource(LocalizationResource localizationResource)
                                    throws RemoteException,
                                           ObjectNotFoundException

  Update the localization definition with the new data.

  Parameters
    `localizationResource` - the localizationdefinition containing the new data
  Throws
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationDefinition is bogus.
    `RemoteException`

### deleteLocalizationResource

    void deleteLocalizationResource(LocalizationLocaleId localizationLocaleId,
                                    LocalizationIntersectionId localizationIntersectionId)
                                    throws RemoteException,
                                           ObjectNotFoundException

  Delete a single localization definition record (the table affected is L10N_RESOURCE). Note, this method does not delete any records in the L10N_INTERSECTION table, as this would cause the definition record to be deleted as well.

  Parameters
    `localizationLocaleId` - the first part of the primary key
    `localizationIntersectionId` - the intersection Id for a portal object. This is the second part of the primary key. You can obtain this from the LocalizationResource attached to the Definition object.
  Throws
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationDefinition is bogus.
    `RemoteException`

### getCachedMatchingSupportedLocales

    Locale[] getCachedMatchingSupportedLocales(Locale[] locales)
                                               throws RemoteException

  Used to get a cached version minimal set of locales based on the input array of locales that matches the supported locales. If this returns null try #getMatchingSupportedLocales.

  Parameters
    `locales` -
  Returns
    minimal set of supported Locales based on input Locales
  Throws
    `RemoteException`

### getMatchingSupportedLocales

    Locale[] getMatchingSupportedLocales(Locale[] locales)
                                         throws RemoteException

  Used to get a minimal set of Locales based on the input array of Locales that matches supported Locales.

  Parameters
    `locales` -
  Returns
    minimal set of supported Locales based on input Locales
  Throws
    `RemoteException`

### getLocalizationLocales

    LocalizationLocale[] getLocalizationLocales()
                                                throws RemoteException

  Return an array of all the available locales in the system.

  Returns
    an array of distinct LocaleDefinition objects.
  Throws
    `RemoteException`

### getLocalizationLocale

    LocalizationLocale getLocalizationLocale(Locale locale)
                                             throws RemoteException

  Get the portal version of a locale.

  Parameters
    `locale` -
  Returns
    LocalizationLocale
  Throws
    `RemoteException`

### getLocalizationLocale

    LocalizationLocale getLocalizationLocale(LocalizationLocaleId localizationLocaleId)
                                             throws RemoteException

  Get the portal version of a locale.

  Parameters
    `localizationLocaleId` - the `LocalizationLocaleId` of the `LocalizationLocale`
  Returns
    LocalizationLocale
  Throws
    `RemoteException`

### deleteLocalizationLocale

    void deleteLocalizationLocale(LocalizationLocaleId localizationLocaleId)
                                  throws RemoteException,
                                         ObjectNotFoundException

  Delete a LocalizationLocale record and all LocalizationResources associated to this locale.

  Parameters
    `localizationLocaleId` - the `LocalizationLocaleId` of the `LocalizationLocale` You can obtain this from the LocalizationResource attached to the Definition object.
  Throws
    `RemoteException`
    `ObjectNotFoundException`

### updateLocalizationLocale

    void updateLocalizationLocale(LocalizationLocale localizationLocale)
                                  throws RemoteException,
                                         ObjectNotFoundException

  Update a locale.

  Throws
    `RemoteException`
    `ObjectNotFoundException`

### createLocalizationLocale

    LocalizationLocale createLocalizationLocale(LocalizationLocale localizationLocale)
                                                throws RemoteException,
                                                       MissingDataException

  Create the portal version of a locale.

  Returns
    the fully populated LocalizationLocale object
  Throws
    `RemoteException`
    `MissingDataException`

### prepopulateCaches

    void prepopulateCaches()
                           throws RemoteException

  This method loads all localization data in the database into p13n caches, subject to cache size.

  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.